# Disable "acpid" events handling
[ -e /etc/acpi/events/default ] && sed -i 's/^[^#]/#&/' /etc/acpi/events/default

# Detect if model is not supported
eeepc_model=`dmidecode -s system-product-name`
if [[ ! -e "/etc/acpi/eeepc/models/acpi-eeepc-${eeepc_model}-events.conf" ]]; then
   echo ">>> You're model ${eeepc_model} is not (yet) supported."
   echo ">>> Please report it to http://github.com/nbigaouette/acpi-eeepc-generic/issues"
fi

echo " "
echo ">>> To finish installation, read the initial setup wiki page:"
echo ">>> http://wiki.github.com/nbigaouette/acpi-eeepc-generic/information-on-acpi-eeepc-generics-initial-setup"
echo " "

# Get the model and save it to the configuration file
. /etc/acpi/eeepc/acpi-eeepc-generic-functions.sh
get_model

if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
fi

if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

